跳转到主要内容
GET
/
v2
/
dexscr
/
{chain}
/
ads
DexScreener - Ads
curl --request GET \
  --url https://api.chainstream.io/v2/dexscr/{chain}/ads \
  --header 'Authorization: Bearer <token>'
[
  {
    "chain": "sol",
    "tokenAddress": "So11111111111111111111111111111111111111112",
    "adType": "<string>",
    "date": "<string>",
    "durationHours": 123,
    "impressions": 123,
    "url": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt

Use this file to discover all available pages before exploring further.

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路径参数

chain
enum<string>
必填

A chain name listed in supported networks Supported blockchain chains

可用选项:
sol,
eth,
bsc

查询参数

limit
integer<int64>
默认值:20

Number of results to return

必填范围: 1 <= x <= 100

响应

200 - application/json

Successful response

chain
string
必填

Blockchain network identifier

示例:

"sol"

tokenAddress
string
必填

Token contract address

示例:

"So11111111111111111111111111111111111111112"

adType
string | null

Ad type (e.g. banner)

date
string | null

Ad start date

durationHours
integer<int64> | null

Ad duration in hours

impressions
integer<int64> | null

Total ad impressions count

url
string | null

DexScreener token page URL